import request from '@/utils/request'

// 查询企业人才信息统计列表
export function listStatistics(query) {
    return request({
        url: '/crmEnterpriseTalentStatistics/findByPage',
        method: 'get',
        params: query
    })
}

// 查询企业人才信息统计详细
export function getStatistics(id) {
    return request({
        url: '/crmEnterpriseTalentStatistics/' + id,
        method: 'get'
    })
}

// 新增企业人才信息统计
export function addStatistics(data) {
    return request({
        url: '/crmEnterpriseTalentStatistics',
        method: 'post',
        data: data
    })
}

// 修改企业人才信息统计
export function updateStatistics(data) {
    return request({
        url: '/crmEnterpriseTalentStatistics',
        method: 'put',
        data: data
    })
}

// 删除企业人才信息统计
export function delStatistics(id) {
    return request({
        url: '/crmEnterpriseTalentStatistics/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delStatisticsBatch(ids) {
    console.log(ids);
    return request.post('/crmEnterpriseTalentStatistics/delete',ids)
}